Page MenuHomePhabricator

Fatal exception DBQueryError "Lock wait timeout exceeded" on Special:Tags
Closed, ResolvedPublic

Description

@Steinsplitter reports [Wm4KuQpAAEYAAAwAMrsAAAAI] 2018-01-28 17:39:24: Fatal exception of type "Wikimedia\Rdbms\DBQueryError" when trying to delete an abusefilter tag on commons. He'll follow-up.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2018, 6:00 PM
exception.message	       	
A database query error has occurred. Did you forget to run your application's database schema updater after upgrading? 
Query: DELETE FROM `tag_summary` WHERE ts_rc_id = '1034140167' AND ts_rev_id = '283540959'
Function: ChangeTags::updateTagSummaryRow
Error: 1205 Lock wait timeout exceeded; try restarting transaction (10.64.48.23)

 exception.trace	       	
#0 /srv/mediawiki/php-1.31.0-wmf.17/includes/libs/rdbms/database/Database.php(999): Wikimedia\Rdbms\Database->reportQueryError(string, integer, string, string, boolean)
#1 /srv/mediawiki/php-1.31.0-wmf.17/includes/libs/rdbms/database/Database.php(2429): Wikimedia\Rdbms\Database->query(string, string)
#2 /srv/mediawiki/php-1.31.0-wmf.17/includes/changetags/ChangeTags.php(417): Wikimedia\Rdbms\Database->delete(string, string, string)
#3 /srv/mediawiki/php-1.31.0-wmf.17/includes/changetags/ChangeTags.php(1130): ChangeTags::updateTagSummaryRow(array, array, string, string, NULL)
#4 /srv/mediawiki/php-1.31.0-wmf.17/includes/changetags/ChangeTags.php(1227): ChangeTags::deleteTagEverywhere(string)
#5 /srv/mediawiki/php-1.31.0-wmf.17/includes/specials/SpecialTags.php(445): ChangeTags::deleteTagWithChecks(string, string, User, boolean)
#6 /srv/mediawiki/php-1.31.0-wmf.17/includes/htmlform/HTMLForm.php(669): SpecialTags->processTagForm(array, OOUIHTMLForm)
#7 /srv/mediawiki/php-1.31.0-wmf.17/includes/htmlform/HTMLForm.php(561): HTMLForm->trySubmit()
#8 /srv/mediawiki/php-1.31.0-wmf.17/includes/htmlform/HTMLForm.php(576): HTMLForm->tryAuthorizedSubmit()
#9 /srv/mediawiki/php-1.31.0-wmf.17/includes/specials/SpecialTags.php(385): HTMLForm->show()
#10 /srv/mediawiki/php-1.31.0-wmf.17/includes/specials/SpecialTags.php(57): SpecialTags->showDeleteTagForm(string)
#11 /srv/mediawiki/php-1.31.0-wmf.17/includes/specialpage/SpecialPage.php(522): SpecialTags->execute(string)
#12 /srv/mediawiki/php-1.31.0-wmf.17/includes/specialpage/SpecialPageFactory.php(578): SpecialPage->run(string)
#13 /srv/mediawiki/php-1.31.0-wmf.17/includes/MediaWiki.php(288): SpecialPageFactory::executePath(Title, RequestContext)
#14 /srv/mediawiki/php-1.31.0-wmf.17/includes/MediaWiki.php(858): MediaWiki->performRequest()
#15 /srv/mediawiki/php-1.31.0-wmf.17/includes/MediaWiki.php(524): MediaWiki->main()
#16 /srv/mediawiki/php-1.31.0-wmf.17/index.php(42): MediaWiki->run()
#17 /srv/mediawiki/w/index.php(3): include(string)
#18 {main}

exception_url
/wiki/Special:Tags/delete

Same kind of error when trying to undelete file versions on Commons for for history splitting of overwritten files (File:Catharina Elmsäter-Svärd.jpg)

[WqUILQpAAEIAAHvFqi0AAAAN] 2018-03-11 10:42:54: Errore irreversibile di tipo "Wikimedia\Rdbms\DBQueryError"

Jdx added a subscriber: Jdx.Mar 17 2018, 8:29 AM

I got the same error yesterday when I tried to split File:MTA Long Island Bus Orion VII Next Generation bus.jpg on Commons:

[WqwRuApAMFgAAEDP4JUAAAAM] 2018-03-16 18:49:29: Fatal exception of type "Wikimedia\Rdbms\DBQueryError".

The file had five versions, I deleted the file, successfully restored the oldest version and moved it to File:MTA Long Island Bus Orion VII NG N17 Rockville Centre.jpg. Then, when I tried to restore the second version (revisions from 19th April 2009), the error mentioned above occured. When I tried to restore the third version (revisions from 2nd May 2009), I got

Error undeleting file: A non-identical file already exists at "mwstore://local-swift-eqiad/local-public/4/44/MTA_Long_Island_Bus_Orion_VII_Next_Generation_bus.jpg".

And when I tried to restore all revisions, I got

Errors were encountered while undeleting the file:
A non-identical file already exists at "mwstore://local-swift-eqiad/local-public/4/44/MTA_Long_Island_Bus_Orion_VII_Next_Generation_bus.jpg".
A non-identical file already exists at "mwstore://local-swift-codfw/local-public/4/44/MTA_Long_Island_Bus_Orion_VII_Next_Generation_bus.jpg".

Krinkle renamed this task from Fatal exception of type "Wikimedia\Rdbms\DBQueryError" to Fatal exception DBQueryError "Lock wait timeout exceeded" on Special:Tags.Jul 18 2018, 11:41 PM
jcrespo added subscribers: Melos, wikibugs-l-list.
jcrespo added a subscriber: jcrespo.

The deletion and undeletion issues are not relevant here, those are tracked at: T197464 This is only for Tags.

Ladsgroup closed this task as Resolved.Nov 14 2018, 7:17 PM
Ladsgroup claimed this task.
Ladsgroup added a subscriber: Ladsgroup.

The backend for Special:Tags have been changed a while ago. This should not happen anymore. Feel free to reopen it if you encounter such things.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptNov 14 2018, 7:17 PM